public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-service/
Date: Mon, 21 Oct 2019 00:19:11 +0000 (UTC)	[thread overview]
Message-ID: <1571617143.262c4032d6b001f4bf6e6c68c07648b6543c6e76.prometheanfire@gentoo> (raw)

commit:     262c4032d6b001f4bf6e6c68c07648b6543c6e76
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 21 00:05:42 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Oct 21 00:19:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=262c4032

dev-python/oslo-service: 1.40.2 bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/oslo-service/Manifest                   |  1 +
 dev-python/oslo-service/oslo-service-1.40.2.ebuild | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/oslo-service/Manifest b/dev-python/oslo-service/Manifest
index 2e14295c118..bc0be327fab 100644
--- a/dev-python/oslo-service/Manifest
+++ b/dev-python/oslo-service/Manifest
@@ -1,2 +1,3 @@
 DIST oslo.service-1.31.8.tar.gz 72731 BLAKE2B d0460fa76df75b691dd85bed07b2bff5f8574feb84f324736769156fb1d9c74f181d8267ed69b6f8a371bd9eae3db17d5fc8588bd706da30f3cd065e8d35f80b SHA512 af4f1fc011dce56935d8ce09902172fe3c93f4907023d04c3aacb3e06631b5d5fc891ec55ee3c42acb8e29754a7519d12a38d1264935636284aee9134ce6f84f
 DIST oslo.service-1.38.0.tar.gz 78671 BLAKE2B 3291b20a60d57a251045701f890a1dc4077bec070330c4fc86e2bfaa82612e4795d0bc8b1cd8c5d8b70c7be0f45fe6db25c98b263e0a5a7bc4335bd4ae0995d9 SHA512 c2bce20abe535b12f98eea808cc95a687b226c16507ed2a4cc5f7143439f7f1a9137489ae82dc09e175165784046f6103bede3350bd6419ba5d4c134cf6aa361
+DIST oslo.service-1.40.2.tar.gz 80334 BLAKE2B 6000ba70c414ae6396f8be3911511b073f0f6a73a3a98e92e0c662b42a637b4cccbe684ceb1df2613aedad3fbd430ff588dca001997293563f39525efba05d99 SHA512 e412ae3d96e7e7f5f40238b3b9d9623a36347c3d8c6e06baa11133da71d4f5e55bd1ac2f43b45a2f84f725f84c59ec6870bc557fb623ab681bbeec27bffd086d

diff --git a/dev-python/oslo-service/oslo-service-1.40.2.ebuild b/dev-python/oslo-service/oslo-service-1.40.2.ebuild
new file mode 100644
index 00000000000..ebd99afbb9d
--- /dev/null
+++ b/dev-python/oslo-service/oslo-service-1.40.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for running OpenStack services"
+HOMEPAGE="https://pypi.org/project/oslo.service/"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.service/oslo.service-${PV}.tar.gz"
+S="${WORKDIR}/oslo.service-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
+	>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+	!~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+	>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+	>=dev-python/greenlet-0.4.10[${PYTHON_USEDEP}]
+	>=dev-python/monotonic-0.6[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-3.40.2[${PYTHON_USEDEP}]
+	>=dev-python/oslo-concurrency-3.25.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+	>=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
+	>=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
+	>=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
+	>=dev-python/yappi-1.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2019-10-21  0:19 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-21  0:19 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-16 17:25 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-service/ Michał Górny
2020-11-25  9:23 Michał Górny
2020-10-17 21:53 Matthew Thode
2020-07-02 23:54 Matthew Thode
2020-06-02 18:40 Matthew Thode
2020-01-13  9:48 Michał Górny
2019-11-19 18:36 Matthew Thode
2019-05-11 18:17 Matthew Thode
2019-04-09  7:06 Matthew Thode
2019-03-13 16:44 Matthew Thode
2019-03-13 16:44 Matthew Thode
2019-02-15 16:15 Matthew Thode
2019-01-16 15:18 Matthew Thode
2018-09-25 22:22 Matt Thode
2018-09-03 19:09 Matt Thode
2018-06-24 12:20 Pacho Ramos
2018-06-18  1:59 Matt Thode
2018-03-31  0:59 Matt Thode
2018-02-17  1:47 Matt Thode
2018-02-13 15:57 Mart Raudsepp
2018-02-13 14:47 Mart Raudsepp
2018-01-28  4:13 Matt Thode
2017-12-30 17:38 Matt Thode
2017-11-30  5:42 Matt Thode
2017-10-03 16:03 Matt Thode
2017-08-27  4:26 Matt Thode
2017-07-06 16:58 Matt Thode
2017-07-06 16:58 Matt Thode
2017-02-27  2:16 Matt Thode
2016-03-29 18:46 Matt Thode
2016-03-25  4:13 Matt Thode
2016-02-28  6:43 Matt Thode
2015-09-03 22:00 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1571617143.262c4032d6b001f4bf6e6c68c07648b6543c6e76.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox